<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.core package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.core.storage package" href="sagace.core.storage.html" />
    <link rel="prev" title="sagace.auth.interfaces package" href="sagace.auth.interfaces.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-core-package">
<h1>sagace.core package<a class="headerlink" href="#sagace-core-package" title="Link to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="sagace.core.storage.html">sagace.core.storage package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.storage.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.file_storage">sagace.core.storage.file_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage"><code class="docutils literal notranslate"><span class="pre">FileTokenStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage._abc_impl"><code class="docutils literal notranslate"><span class="pre">FileTokenStorage._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage.get_token"><code class="docutils literal notranslate"><span class="pre">FileTokenStorage.get_token()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage.save_token"><code class="docutils literal notranslate"><span class="pre">FileTokenStorage.save_token()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.memory_storage">sagace.core.storage.memory_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#id1">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage"><code class="docutils literal notranslate"><span class="pre">MemoryTokenStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage._abc_impl"><code class="docutils literal notranslate"><span class="pre">MemoryTokenStorage._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage.get_token"><code class="docutils literal notranslate"><span class="pre">MemoryTokenStorage.get_token()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage.save_token"><code class="docutils literal notranslate"><span class="pre">MemoryTokenStorage.save_token()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.redis_storage">sagace.core.storage.redis_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#id2">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage"><code class="docutils literal notranslate"><span class="pre">RedisTokenStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage._abc_impl"><code class="docutils literal notranslate"><span class="pre">RedisTokenStorage._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage.get_token"><code class="docutils literal notranslate"><span class="pre">RedisTokenStorage.get_token()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage.save_token"><code class="docutils literal notranslate"><span class="pre">RedisTokenStorage.save_token()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-sagace.core.api_client">
<span id="sagace-core-api-client-module"></span><h2>sagace.core.api_client module<a class="headerlink" href="#module-sagace.core.api_client" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="descricao">
<h3>Descrição:<a class="headerlink" href="#descricao" title="Link to this heading">¶</a></h3>
<p>Este módulo define uma interface para clientes API autenticados dentro do sistema SAGACE.
A classe <cite>APIClient</cite> fornece uma estrutura base para requisições autenticadas, garantindo que qualquer implementação
específica siga um contrato comum.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Gerenciamento da URL base da API.</p></li>
<li><p>Armazenamento e recuperação do token de autenticação.</p></li>
<li><p>Definição de um método abstrato para requisições autenticadas.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">APIClient</span></code>: Interface para clientes autenticados.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.infrastructure.api_client</span><span class="w"> </span><span class="kn">import</span> <span class="n">APIClient</span>
<span class="kn">from</span><span class="w"> </span><span class="nn">sagace.core</span><span class="w"> </span><span class="kn">import</span> <span class="n">TokenStorage</span>

<span class="k">class</span><span class="w"> </span><span class="nc">MyAPIClient</span><span class="p">(</span><span class="n">APIClient</span><span class="p">):</span>
    <span class="k">def</span><span class="w"> </span><span class="nf">request</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">method</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">endpoint</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="o">**</span><span class="n">kwargs</span><span class="p">):</span>
        <span class="c1"># Implementação específica da requisição</span>
        <span class="k">pass</span>

<span class="n">api_client</span> <span class="o">=</span> <span class="n">MyAPIClient</span><span class="p">(</span><span class="s2">&quot;https://api.sagace.online&quot;</span><span class="p">,</span> <span class="n">TokenStorage</span><span class="p">())</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 16:20
Criado em: 27/02/2025 16:20
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="sagace.core.api_client.APIClient">
<em class="property"><span class="k"><span class="pre">class</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.core.api_client.</span></span><span class="sig-name descname"><span class="pre">APIClient</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">base_url</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">token_storage</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#sagace.core.token_storage.TokenStorage" title="sagace.core.token_storage.TokenStorage"><span class="pre">TokenStorage</span></a></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/api_client.html#APIClient"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.api_client.APIClient" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">ABC</span></code></p>
<p>Interface para clientes API autenticados.</p>
<p>Esta classe serve como base para a implementação de clientes API que necessitam de autenticação.</p>
<p>Princípios aplicados:</p>
<ul class="simple">
<li><p><strong>Liskov Substitution (L - SOLID)</strong>: Qualquer classe que herde de <cite>APIClient</cite> deve poder ser utilizada
sem alterar o comportamento esperado.</p></li>
<li><p><strong>Dependency Inversion (D - SOLID)</strong>: Depende da abstração de um armazenamento de tokens (<cite>TokenStorage</cite>).</p></li>
</ul>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>base_url</strong> (<em>str</em>) – URL base da API.</p></li>
<li><p><strong>token_storage</strong> (<a class="reference internal" href="#sagace.core.token_storage.TokenStorage" title="sagace.core.token_storage.TokenStorage"><em>TokenStorage</em></a>) – Instância responsável pelo armazenamento do token.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.api_client.APIClient._abc_impl">
<span class="sig-name descname"><span class="pre">_abc_impl</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">&lt;_abc._abc_data</span> <span class="pre">object&gt;</span></em><a class="headerlink" href="#sagace.core.api_client.APIClient._abc_impl" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.api_client.APIClient.request">
<em class="property"><span class="k"><span class="pre">abstractmethod</span></span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">request</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">method</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/api_client.html#APIClient.request"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.api_client.APIClient.request" title="Link to this definition">¶</a></dt>
<dd><p>Realiza uma requisição autenticada à API.</p>
<p>Este método deve ser implementado pelas classes concretas que herdam de <cite>APIClient</cite>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>method</strong> (<em>str</em>) – Método HTTP a ser utilizado (GET, POST, etc.).</p></li>
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho do endpoint na API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para a requisição.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta da API.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="module-sagace.core.http_api_client">
<span id="sagace-core-http-api-client-module"></span><h2>sagace.core.http_api_client module<a class="headerlink" href="#module-sagace.core.http_api_client" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="id1">
<h3>Descrição:<a class="headerlink" href="#id1" title="Link to this heading">¶</a></h3>
<p>Este módulo fornece uma implementação concreta de um cliente HTTP autenticado dentro do sistema SAGACE.
A classe <cite>HTTPAPIClient</cite> herda de <cite>APIClient</cite>, garantindo que todas as requisições sejam autenticadas e sigam
um contrato unificado.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Realiza requisições HTTP autenticadas (GET, POST, PUT, DELETE).</p></li>
<li><p>Gerencia o armazenamento e recuperação do token JWT.</p></li>
<li><p>Lança exceções adequadas em caso de erro na API.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient</span></code>: Implementação concreta de <cite>APIClient</cite> utilizando <cite>requests</cite>.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.infrastructure.http_api_client</span><span class="w"> </span><span class="kn">import</span> <span class="n">HTTPAPIClient</span>
<span class="kn">from</span><span class="w"> </span><span class="nn">sagace.core</span><span class="w"> </span><span class="kn">import</span> <span class="n">TokenStorage</span>

<span class="n">api_client</span> <span class="o">=</span> <span class="n">HTTPAPIClient</span><span class="p">(</span><span class="s2">&quot;https://api.sagace.online&quot;</span><span class="p">,</span> <span class="n">TokenStorage</span><span class="p">())</span>
<span class="n">response</span> <span class="o">=</span> <span class="n">api_client</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s2">&quot;/usuario/dados&quot;</span><span class="p">)</span>
<span class="nb">print</span><span class="p">(</span><span class="n">response</span><span class="p">)</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 16:30
Criado em: 27/02/2025 16:30
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient">
<em class="property"><span class="k"><span class="pre">class</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.core.http_api_client.</span></span><span class="sig-name descname"><span class="pre">HTTPAPIClient</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">base_url</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">token_storage</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#sagace.core.token_storage.TokenStorage" title="sagace.core.token_storage.TokenStorage"><span class="pre">TokenStorage</span></a></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#sagace.core.api_client.APIClient" title="sagace.core.api_client.APIClient"><code class="xref py py-class docutils literal notranslate"><span class="pre">APIClient</span></code></a></p>
<p>Implementação concreta de <cite>APIClient</cite> utilizando <cite>requests</cite>.</p>
<p>Esta classe fornece uma implementação real para comunicação com APIs via HTTP,
garantindo que todas as requisições sejam autenticadas.</p>
<p>Princípios aplicados:
- <strong>Liskov Substitution (L - SOLID)</strong>: <cite>HTTPAPIClient</cite> pode ser utilizada no lugar de <cite>APIClient</cite> sem alterar o comportamento esperado.
- <strong>Open/Closed (O - SOLID)</strong>: A classe pode ser estendida para novos métodos HTTP sem modificação do código existente.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient._abc_impl">
<span class="sig-name descname"><span class="pre">_abc_impl</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">&lt;_abc._abc_data</span> <span class="pre">object&gt;</span></em><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient._abc_impl" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient._get_headers">
<span class="sig-name descname"><span class="pre">_get_headers</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">dict</span></span></span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient._get_headers"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient._get_headers" title="Link to this definition">¶</a></dt>
<dd><p>Retorna os headers padrão com autenticação JWT.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Dicionário de headers HTTP contendo o token JWT.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient.delete">
<span class="sig-name descname"><span class="pre">delete</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient.delete"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient.delete" title="Link to this definition">¶</a></dt>
<dd><p>Método DELETE autenticado.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho relativo dentro da API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para a requisição.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta JSON da API.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient.get">
<span class="sig-name descname"><span class="pre">get</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient.get"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient.get" title="Link to this definition">¶</a></dt>
<dd><p>Método GET autenticado.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho relativo dentro da API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para a requisição.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta JSON da API.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient.post">
<span class="sig-name descname"><span class="pre">post</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient.post"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient.post" title="Link to this definition">¶</a></dt>
<dd><p>Método POST autenticado.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho relativo dentro da API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para a requisição.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta JSON da API.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient.put">
<span class="sig-name descname"><span class="pre">put</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient.put"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient.put" title="Link to this definition">¶</a></dt>
<dd><p>Método PUT autenticado.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho relativo dentro da API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para a requisição.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta JSON da API.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.http_api_client.HTTPAPIClient.request">
<span class="sig-name descname"><span class="pre">request</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">method</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">endpoint</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/http_api_client.html#HTTPAPIClient.request"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.http_api_client.HTTPAPIClient.request" title="Link to this definition">¶</a></dt>
<dd><p>Método genérico para requisições HTTP autenticadas.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>method</strong> (<em>str</em>) – Método HTTP a ser utilizado (GET, POST, PUT, DELETE).</p></li>
<li><p><strong>endpoint</strong> (<em>str</em>) – Caminho relativo dentro da API.</p></li>
<li><p><strong>kwargs</strong> – Parâmetros adicionais para <cite>requests.request()</cite>.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Resposta JSON da API.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dict</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.token_expired_error.TokenExpiredError" title="sagace.exceptions.domain.token_expired_error.TokenExpiredError"><strong>TokenExpiredError</strong></a> – Se o token estiver expirado.</p></li>
<li><p><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.permission_denied_error.PermissionDeniedError" title="sagace.exceptions.domain.permission_denied_error.PermissionDeniedError"><strong>PermissionDeniedError</strong></a> – Se o usuário não tiver permissão para acessar o recurso.</p></li>
<li><p><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.api_request_error.APIRequestError" title="sagace.exceptions.domain.api_request_error.APIRequestError"><strong>APIRequestError</strong></a> – Para quaisquer outros erros da API.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="module-sagace.core.token">
<span id="sagace-core-token-module"></span><h2>sagace.core.token module<a class="headerlink" href="#module-sagace.core.token" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="id2">
<h3>Descrição:<a class="headerlink" href="#id2" title="Link to this heading">¶</a></h3>
<p>Este módulo define uma estrutura para gerenciamento de tokens de autenticação dentro do sistema SAGACE.
A classe <cite>Token</cite> fornece um modelo estruturado para manipulação de tokens de acesso JWT.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Armazena e gerencia informações sobre o token JWT.</p></li>
<li><p>Gera cabeçalhos de autenticação padronizados para requisições HTTP.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">Token</span></code>: Representa um token de autenticação utilizado no sistema.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.core</span><span class="w"> </span><span class="kn">import</span> <span class="n">Token</span>

<span class="n">token</span> <span class="o">=</span> <span class="n">Token</span><span class="p">(</span>
    <span class="n">base_url</span><span class="o">=</span><span class="s2">&quot;https://api.sagace.online&quot;</span><span class="p">,</span>
    <span class="n">access_token</span><span class="o">=</span><span class="s2">&quot;abc123&quot;</span><span class="p">,</span>
    <span class="n">application_name</span><span class="o">=</span><span class="s2">&quot;Meu App&quot;</span><span class="p">,</span>
    <span class="n">description</span><span class="o">=</span><span class="s2">&quot;Token de acesso para integração.&quot;</span>
<span class="p">)</span>
<span class="n">headers</span> <span class="o">=</span> <span class="n">token</span><span class="o">.</span><span class="n">get_auth_header</span><span class="p">()</span>
<span class="nb">print</span><span class="p">(</span><span class="n">headers</span><span class="p">)</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 15:30
Criado em: 27/02/2025 15:30
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="sagace.core.token.Token">
<em class="property"><span class="k"><span class="pre">class</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.core.token.</span></span><span class="sig-name descname"><span class="pre">Token</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">base_url</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">access_token</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">application_name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">token_type</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'JWT'</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/token.html#Token"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.token.Token" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<p>Representa um token de autenticação utilizado no sistema SAGACE.</p>
<p>A classe <cite>Token</cite> encapsula informações sobre tokens JWT, garantindo que
as requisições API possuam autenticação padronizada.</p>
<p>Princípios aplicados:
- <strong>Single Responsibility (S - SOLID)</strong>: A classe é responsável apenas pelo gerenciamento de tokens.
- <strong>Encapsulamento</strong>: Centraliza o controle dos tokens dentro da aplicação.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>base_url</strong> (<em>str</em>) – URL base da API autenticada.</p></li>
<li><p><strong>access_token</strong> (<em>str</em>) – Token de acesso JWT.</p></li>
<li><p><strong>application_name</strong> (<em>str</em>) – Nome da aplicação associada ao token.</p></li>
<li><p><strong>description</strong> (<em>str</em>) – Descrição do token.</p></li>
<li><p><strong>token_type</strong> (<em>str</em><em>, </em><em>optional</em>) – Tipo do token (por padrão, JWT).</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token.Token.access_token">
<span class="sig-name descname"><span class="pre">access_token</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">str</span></em><a class="headerlink" href="#sagace.core.token.Token.access_token" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token.Token.application_name">
<span class="sig-name descname"><span class="pre">application_name</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">str</span></em><a class="headerlink" href="#sagace.core.token.Token.application_name" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token.Token.base_url">
<span class="sig-name descname"><span class="pre">base_url</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">str</span></em><a class="headerlink" href="#sagace.core.token.Token.base_url" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token.Token.description">
<span class="sig-name descname"><span class="pre">description</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">str</span></em><a class="headerlink" href="#sagace.core.token.Token.description" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.token.Token.get_auth_header">
<span class="sig-name descname"><span class="pre">get_auth_header</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">dict</span></span></span><a class="reference internal" href="_modules/sagace/core/token.html#Token.get_auth_header"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.token.Token.get_auth_header" title="Link to this definition">¶</a></dt>
<dd><p>Retorna um cabeçalho HTTP contendo o token de autenticação.</p>
<p>Este método é utilizado para garantir que todas as requisições HTTP realizadas
dentro do sistema incluam a autenticação necessária.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Dicionário contendo o cabeçalho de autorização.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token.Token.token_type">
<span class="sig-name descname"><span class="pre">token_type</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">str</span></em><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'JWT'</span></em><a class="headerlink" href="#sagace.core.token.Token.token_type" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-sagace.core.token_storage">
<span id="sagace-core-token-storage-module"></span><h2>sagace.core.token_storage module<a class="headerlink" href="#module-sagace.core.token_storage" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="id3">
<h3>Descrição:<a class="headerlink" href="#id3" title="Link to this heading">¶</a></h3>
<p>Este módulo define uma estrutura para gerenciamento de tokens de autenticação dentro do sistema SAGACE.
A interface <cite>TokenStorage</cite> estabelece um contrato para armazenamento e recuperação de tokens de forma desacoplada,
permitindo diferentes implementações conforme a necessidade do sistema.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Definição de uma interface para armazenamento seguro de tokens de autenticação.</p></li>
<li><p>Permite a implementação de diferentes estratégias de persistência (memória, arquivos, banco de dados, etc.).</p></li>
</ul>
<p>Princípios de Design Aplicados:</p>
<ul class="simple">
<li><p><strong>Single Responsibility Principle (SRP - SOLID)</strong>: Cada classe tem uma única responsabilidade clara.</p></li>
<li><p><strong>Open/Closed Principle (OCP - SOLID)</strong>: A interface <cite>TokenStorage</cite> pode ser estendida sem modificar seu código-fonte.</p></li>
<li><p><strong>Dependency Inversion Principle (DIP - SOLID)</strong>: <cite>TokenStorage</cite> define uma abstração para armazenamento de tokens,
permitindo que implementações concretas sejam facilmente substituídas.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">TokenStorage</span></code>: Interface abstrata para armazenar e recuperar tokens.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.core</span><span class="w"> </span><span class="kn">import</span> <span class="n">Token</span><span class="p">,</span> <span class="n">TokenStorage</span>

<span class="k">class</span><span class="w"> </span><span class="nc">MemoryTokenStorage</span><span class="p">(</span><span class="n">TokenStorage</span><span class="p">):</span>
    <span class="c1"># Implementação de TokenStorage que armazena o token em memória.</span>
    <span class="k">def</span><span class="w"> </span><span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">_token</span> <span class="o">=</span> <span class="kc">None</span>

    <span class="k">def</span><span class="w"> </span><span class="nf">save_token</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">token</span><span class="p">:</span> <span class="n">Token</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">_token</span> <span class="o">=</span> <span class="n">token</span>

    <span class="k">def</span><span class="w"> </span><span class="nf">get_token</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="n">Token</span><span class="p">:</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">_token</span>

<span class="n">token_storage</span> <span class="o">=</span> <span class="n">MemoryTokenStorage</span><span class="p">()</span>
<span class="n">token</span> <span class="o">=</span> <span class="n">Token</span><span class="p">(</span>
    <span class="n">base_url</span><span class="o">=</span><span class="s2">&quot;https://api.sagace.online&quot;</span><span class="p">,</span>
    <span class="n">access_token</span><span class="o">=</span><span class="s2">&quot;abc123&quot;</span><span class="p">,</span>
    <span class="n">application_name</span><span class="o">=</span><span class="s2">&quot;Meu App&quot;</span><span class="p">,</span>
    <span class="n">description</span><span class="o">=</span><span class="s2">&quot;Token de acesso para integração.&quot;</span>
<span class="p">)</span>
<span class="n">token_storage</span><span class="o">.</span><span class="n">save_token</span><span class="p">(</span><span class="n">token</span><span class="p">)</span>
<span class="n">retrieved_token</span> <span class="o">=</span> <span class="n">token_storage</span><span class="o">.</span><span class="n">get_token</span><span class="p">()</span>
<span class="nb">print</span><span class="p">(</span><span class="n">retrieved_token</span><span class="o">.</span><span class="n">get_auth_header</span><span class="p">())</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 16:22
Criado em: 27/02/2025 16:22
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="sagace.core.token_storage.TokenStorage">
<em class="property"><span class="k"><span class="pre">class</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.core.token_storage.</span></span><span class="sig-name descname"><span class="pre">TokenStorage</span></span><a class="reference internal" href="_modules/sagace/core/token_storage.html#TokenStorage"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.token_storage.TokenStorage" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">ABC</span></code></p>
<p>Interface para armazenar e recuperar tokens de autenticação.</p>
<p>Essa classe define um contrato para qualquer implementação de armazenamento de tokens,
permitindo diferentes abordagens, como armazenamento em memória, arquivos ou banco de dados.</p>
<p>Princípios aplicados:
- <strong>Dependency Inversion (D - SOLID)</strong>: Permite substituir implementações sem modificar consumidores da interface.
- <strong>Open/Closed (O - SOLID)</strong>: Pode ser estendida sem modificar o código existente.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="sagace.core.token_storage.TokenStorage._abc_impl">
<span class="sig-name descname"><span class="pre">_abc_impl</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">&lt;_abc._abc_data</span> <span class="pre">object&gt;</span></em><a class="headerlink" href="#sagace.core.token_storage.TokenStorage._abc_impl" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.token_storage.TokenStorage.get_token">
<em class="property"><span class="k"><span class="pre">abstractmethod</span></span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">get_token</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><a class="reference internal" href="#sagace.core.token.Token" title="sagace.core.token.Token"><span class="pre">Token</span></a></span></span><a class="reference internal" href="_modules/sagace/core/token_storage.html#TokenStorage.get_token"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.token_storage.TokenStorage.get_token" title="Link to this definition">¶</a></dt>
<dd><p>Recupera o token armazenado.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Instância do token armazenado.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p><a class="reference internal" href="#sagace.core.token.Token" title="sagace.core.token.Token">Token</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="sagace.core.token_storage.TokenStorage.save_token">
<em class="property"><span class="k"><span class="pre">abstractmethod</span></span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">save_token</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">token</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#sagace.core.token.Token" title="sagace.core.token.Token"><span class="pre">Token</span></a></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/sagace/core/token_storage.html#TokenStorage.save_token"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.core.token_storage.TokenStorage.save_token" title="Link to this definition">¶</a></dt>
<dd><p>Armazena o token de autenticação.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>token</strong> (<a class="reference internal" href="#sagace.core.token.Token" title="sagace.core.token.Token"><em>Token</em></a>) – Token a ser armazenado.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="module-sagace.core">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.core" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:20
Created:          27/02/2025 16:20
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
      <li>Previous: <a href="sagace.auth.interfaces.html" title="previous chapter">sagace.auth.interfaces package</a></li>
      <li>Next: <a href="sagace.core.storage.html" title="next chapter">sagace.core.storage package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.core.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>